package discovery

import (
	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type Service struct {
	MetaCryptoType *meta.MetaCryptoType `json:"metaCryptoType,omitempty"`
	Key            string               `json:"key,omitempty"`
	Description    string               `json:"description,omitempty"`

	Port *Port `json:"port,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
}
