package domain

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/member"
)

type DomainMember struct {
	ID         json.Number     `json:"id,Number,omitempty"`
	CreateDate *util.Timestamp `json:"createDate,omitempty"`
	Member     *member.Member  `json:"member,omitempty"`
	Domain     *Domain         `json:"domain,omitempty"`
}
