package infra

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type InfraHostApplication struct {
	ID         json.Number     `json:"id,Number,omitempty"`
	Name       string          `json:"name,omitempty"`
	InfraHost  *InfraHost      `json:"infraHost,omitempty"`
	CreateDate *util.Timestamp `json:"createDate,omitempty"`
}
