package sensor

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type SensorItem struct {
	ID                     json.Number                  `json:"id,Number,omitempty"`
	Sensor                 *Sensor                      `json:"sensor,omitempty"`
	MetaDisplayItemMapping *meta.MetaDisplayItemMapping `json:"metaDisplayItemMapping,omitempty"`
	CreateDate             *util.Timestamp              `json:"createDate,omitempty"`
}
