package infra

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type InfraHostOS struct {
	ID              json.Number     `json:"id,Number,omitempty"`
	Name            string          `json:"name,omitempty"`
	OS              string          `json:"os,omitempty"`
	Platform        string          `json:"platform,omitempty"`
	PlatformFamily  string          `json:"platformFamily,omitempty"`
	PlatformVersion string          `json:"platformVersion,omitempty"`
	KernelVersion   string          `json:"kernelVersion,omitempty"`
	HostID          string          `json:"hostID,omitempty"`
	Meta            string          `json:"meta,omitempty"`
	CreateDate      *util.Timestamp `json:"createDate,omitempty"`
}
