package member

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type Member struct {
	ID               json.Number            `json:"id,Number,omitempty"`
	Email            string                 `json:"email,omitempty"`
	Pw               string                 `json:"pw,omitempty"`
	Name             string                 `json:"name,omitempty"`
	Phone            string                 `json:"phone,omitempty"`
	CompanyName      string                 `json:"companyName,omitempty"`
	CreateDate       *util.Timestamp        `json:"createDate,omitempty"`
	MetaMemberStatus *meta.MetaMemberStatus `json:"metaMemberStatus,omitempty"`
	SigninFailCount  int                    `json:"signinFailCount,omitempty"`
	TotpType         bool                   `json:"totpType,omitempty"`
}
