package sensorconfig

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/model/meta"
)

type SensorConfig struct {
	SensorID json.Number `json:"sensorID,omitempty"`

	Schedule            *SensorConfigSchedule      `json:"schedule,omitempty"`
	Crawler             *SensorConfigCrawler       `json:"crawler,omitempty"`
	Connection          *SensorConfigConnection    `json:"connection,omitempty"`
	MetaCollectionItems []*meta.MetaCollectionItem `json:"metaCollectionItems,omitempty"`
}
