package sensorconfig

import "encoding/json"

type SensorConfigConnection struct {
	MetaIPTypeKey 		string `json:"metaIPTypeKey,omitempty"`
	IP 								string `json:"metaCrawlerKey,omitempty"`
	MetaPortTypeKey 	string `json:"metaPortTypeKey,omitempty"`
	Port							json.Number `json:"port,omitempty"`
	MetaCryptoTypeKey string `json:"metaCryptoTypeKey,omitempty"`
	Credentials 			map[string]string `json:"credentials,omitempty"`
}
